import matplotlib.pyplot as plt
import pybert as pb

fdip = pb.FDIPdata('../IP5/SIP256C/IP5_SIP256C')
# %%
cols1 = ['C0', 'C2', 'C3']
cols2 = ['C9', 'C8', 'C6']
fig, ax = plt.subplots()
ab = [31, 32]
ms = 3
for i, n in enumerate([1, 4, 7]):
    mn = [max(ab) + n, max(ab) + n + 1]
    fdip.showDataSpectra(ab=mn, mn=ab, ax=ax, color=cols1[i], marker='v',
                         label='SIP256C '+str(mn[0])+'-'+str(mn[1]), ms=ms)

fig.savefig('figure12a.pdf', bbox_inches='tight')
