from pybert.fdip import FDIPdata

fdip = FDIPdata('IP1_SIP256C')
print(fdip)
fdip.singleInversion()
# %%
fdip.simultaneousInversion(depth=10, maxIter=10, zWeight=0.3, lam=200,
                           err=0.03)
# %%
fdip.fitAllPhi(show=True)
fdip.saveResults()
fdip.generateResultPDF()
fdip.showColeColeParameters(coverage=1)
#fdip.figs['CC'].savefig('bla.pdf')
