import matplotlib.pyplot as plt
import pybert as pb

tdip = pb.TDIPdata('../IP5/Terrameter/IP5_Terrameter.dip')
# %%
cols1 = ['C0', 'C2', 'C3']
cols2 = ['C9', 'C8', 'C6']
fig, ax = plt.subplots()
ab = [31, 32]
ms = 3
for i, n in enumerate([1, 4, 7]):
    mn = [max(ab) + n, max(ab) + n + 1]
    tdip.showDecay(ab=ab, mn=mn, ax=ax, color=cols1[i], marker='v',
                   label='ABEM '+str(mn[0])+'-'+str(mn[1]), ms=ms,
                   invalid=True)

fig.savefig('figure12b.pdf', bbox_inches='tight')
